<?php

/**
 * Coupons. Shortcodes.
 *
 * @package WPDesk\Library\WPCoupons\Integration
 */
namespace FlexibleCouponsVendor\WPDesk\Library\WPCoupons\Shortcodes;

use FlexibleCouponsVendor\WPDesk\Library\CouponInterfaces\Shortcode;
/**
 * This class returns the shortcodes with a WP filter.
 *
 * @package WPDesk\Library\WPCoupons\Integration
 */
class Shortcodes
{
    /**
     * @var Shortcode[]
     */
    private $shortcodes;
    /**
     * @param Shortcode[] $shortcodes
     */
    public function __construct(array $shortcodes)
    {
        $this->shortcodes = $shortcodes;
    }
    /**
     * @return array
     */
    public function get_shortcodes() : array
    {
        /**
         * Adds custom shortcodes.
         *
         * @param Shortcode[] $shortcodes List of shortcodes used in the plugin.
         *
         * @since 1.1.3
         */
        return (array) \apply_filters('fcpdf/core/shortcodes', $this->shortcodes);
    }
    /**
     * Get shortcodes definition.
     *
     * @return array
     */
    public function get_shortcode_definitions() : array
    {
        $editor_shortcodes = [];
        foreach ($this->get_shortcodes() as $shortcode) {
            if ($shortcode instanceof \FlexibleCouponsVendor\WPDesk\Library\CouponInterfaces\Shortcode) {
                $editor_shortcodes[] = $shortcode->definition();
            }
        }
        return $editor_shortcodes;
    }
}
